Up

# NSMeasurementFormatter class documentation

### Authors

Gregory John Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

# Software documentation for the NSMeasurementFormatter class

## NSMeasurementFormatter : NSFormatter

> Declared in:
>   Foundation/NSMeasurementFormatter.h

> Conforms to:
>   NSCoding

Availability: MacOS-X 10.12.0
Description forthcoming.

Instance Variables
Method summary

- -locale
- -numberFormatter
- -setLocale:
- -setNumberFormatter:
- -setUnitOptions:
- -setUnitStyle:
- -stringFromMeasurement:
- -stringFromUnit:
- -unitOptions
- -unitStyle

### locale

- (NSLocale*) locale;
Availability: MacOS-X 10.12.0
Description forthcoming.

### numberFormatter

- (NSNumberFormatter*) numberFormatter;
Availability: MacOS-X 10.12.0
Description forthcoming.

### setLocale:

- (void) setLocale: (NSLocale*)locale;
Availability: MacOS-X 10.12.0
Description forthcoming.

### setNumberFormatter:

- (void) setNumberFormatter: (NSNumberFormatter*)numberFormatter;
Availability: MacOS-X 10.12.0
Description forthcoming.

### setUnitOptions:

- (void) setUnitOptions: (NSMeasurementFormatterUnitOptions)unitOptions;
Availability: MacOS-X 10.12.0
Description forthcoming.

### setUnitStyle:

- (void) setUnitStyle: (NSFormattingUnitStyle)style;
Availability: MacOS-X 10.12.0
Description forthcoming.

### stringFromMeasurement:

- (NSString*) stringFromMeasurement: (NSMeasurement*)measurement;
Availability: MacOS-X 10.12.0
Description forthcoming.

### stringFromUnit:

- (NSString*) stringFromUnit: (NSUnit*)unit;
Availability: MacOS-X 10.12.0
Description forthcoming.

### unitOptions

- (NSMeasurementFormatterUnitOptions) unitOptions;
Availability: MacOS-X 10.12.0
Description forthcoming.

### unitStyle

- (NSFormattingUnitStyle) unitStyle;
Availability: MacOS-X 10.12.0
Description forthcoming.

## Instance Variables for NSMeasurementFormatter Class

### _locale

@protected NSLocale* _locale;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _numberFormatter

@protected NSNumberFormatter* _numberFormatter;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _unitOptions

@protected NSMeasurementFormatterUnitOptions _unitOptions;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _unitStyle

@protected NSFormattingUnitStyle _unitStyle;
Availability: MacOS-X 10.12.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up